# $Revision: 1.41.4.1 $, $Date: 2011/12/13 11:19:20 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
%define		xfce_version	4.6.1
#
Summary:	Extension library to Xfce developed by os-cillation
Summary(pl.UTF-8):	Biblioteka rozszerzeń do Xfce opracowana przez os-cillation
Name:		exo
Version:	0.3.101
Release:	6
License:	GPL v2
Group:		X11/Libraries
Source0:	http://www.xfce.org/archive/xfce-%{xfce_version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	1c0eebb360f53eab70454b70e1bde36e
Patch0:		%{name}-gchar.patch
URL:		http://www.os-cillation.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.6
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	gtk-doc-automake
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	perl-URI
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2:2.10.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= 4.6.0
Requires:	xfce4-dirs >= 4.6
Provides:	libexo
Obsoletes:	libexo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extension library to Xfce developed by os-cillation.

%description -l pl.UTF-8
Biblioteka rozszerzeń do Xfce opracowana przez os-cillation.

%package -n xfce-preferred-applications
Summary:	The Xfce Preferred Applications framework
Summary(pl.UTF-8):	Struktura Preferowanych Aplikacji Xfce
Group:		X11/Applications
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name} = %{version}-%{release}

%description -n xfce-preferred-applications
The Xfce Preferred Applications framework.

%description -n xfce-preferred-applications -l pl.UTF-8
Struktura Preferowanych Aplikacji Xfce.

%package apidocs
Summary:	libexo API documentation
Summary(pl.UTF-8):	Dokumentacja API libexo
Group:		Documentation
Requires:	gtk-doc-common
Provides:	libexo-apidocs
Obsoletes:	libexo-apidocs

%description apidocs
libexo API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libexo.

%package devel
Summary:	Header files for libexo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libexo
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.6
Requires:	hal-devel >= 0.5.7
Requires:	libxfce4util-devel >= %{xfce_version}
Provides:	libexo-devel
Obsoletes:	libexo-devel

%description devel
Header files for libexo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libexo.

%package static
Summary:	Static libexo library
Summary(pl.UTF-8):	Statyczna biblioteka libexo
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libexo-static
Obsoletes:	libexo-static

%description static
Static libexo library.

%description static -l pl.UTF-8
Statyczna biblioteka libexo.

%package -n python-exo
Summary:	Python binding for libexo library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libexo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-exo
Python binding for libexo library.

%description -n python-exo -l pl.UTF-8
Wiązania Pythona do biblioteki libexo.

%package -n python-exo-devel
Summary:	Development files for libexo Python bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do libexo
Group:		Libraries/Python
Requires:	python-exo = %{version}-%{release}

%description -n python-exo-devel
Development files for libexo Python bindings.

%description -n python-exo-devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do libexo.

%prep
%setup -q
%patch0 -p1

%build
%{?with_apidocs:%{__gtkdocize}}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--enable-hal \
	--enable-notifications \
	--enable-python \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/exo-0.3/*.{la,a}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/exo}

%py_postclean

%find_lang libexo-0.3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n xfce-preferred-applications
%update_icon_cache hicolor

%postun	-n xfce-preferred-applications
%update_icon_cache hicolor

%files -f libexo-0.3.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_libdir}/libexo-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexo-0.3.so.0
%attr(755,root,root) %{_libdir}/libexo-hal-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexo-hal-0.3.so.0
%{_pixmapsdir}/exo-0.3

%files -n xfce-preferred-applications
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/exo-compose-mail-0.3
%attr(755,root,root) %{_libdir}/exo-helper-0.3
%attr(755,root,root) %{_libdir}/exo-mount-notify-0.3
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/*.rc
%{_datadir}/xfce4/doc/C/*.html
%{_datadir}/xfce4/doc/C/images/*.png
%lang(da) %{_datadir}/xfce4/doc/da/*.html
%lang(es) %{_datadir}/xfce4/doc/es/*.html
%lang(es) %{_datadir}/xfce4/doc/es/images/*.png
%lang(fr) %{_datadir}/xfce4/doc/fr/*.html
%lang(fr) %{_datadir}/xfce4/doc/fr/images/*.png
%lang(gl) %{_datadir}/xfce4/doc/gl/*.html
%lang(id) %{_datadir}/xfce4/doc/id/*.html
%lang(id) %{_datadir}/xfce4/doc/id/images/*.png
%lang(it) %{_datadir}/xfce4/doc/it/*.html
%lang(it) %{_datadir}/xfce4/doc/it/images/*.png
%lang(ja) %{_datadir}/xfce4/doc/ja/*.html
%lang(ja) %{_datadir}/xfce4/doc/ja/images/*.png
%lang(pt_BR) %{_datadir}/xfce4/doc/pt_BR/*.html
%lang(pt_BR) %{_datadir}/xfce4/doc/pt_BR/images/*.png
%lang(tr) %{_datadir}/xfce4/doc/tr/*.html
%lang(tr) %{_datadir}/xfce4/doc/tr/images/*.png
%dir %{_datadir}/xfce4/helpers
%{_datadir}/xfce4/helpers/*.desktop
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/preferences-desktop-default-applications.png
%{_iconsdir}/hicolor/*/apps/applications-internet.png
%{_iconsdir}/hicolor/*/apps/applications-other.png
%{_mandir}/man1/*.1*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/exo
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexo-0.3.so
%attr(755,root,root) %{_libdir}/libexo-hal-0.3.so
%{_libdir}/libexo-0.3.la
%{_libdir}/libexo-hal-0.3.la
%{_includedir}/exo-0.3
%{_pkgconfigdir}/exo-0.3.pc
%{_pkgconfigdir}/exo-hal-0.3.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexo-0.3.a
%{_libdir}/libexo-hal-0.3.a
%endif

%files -n python-exo
%defattr(644,root,root,755)
%dir %{py_sitedir}/exo-0.3
%attr(755,root,root) %{py_sitedir}/exo-0.3/_exo.so
%dir %{py_sitedir}/exo-0.3/exo
%{py_sitedir}/exo-0.3/exo/*.py[co]
%{py_sitescriptdir}/*.py[co]

%files -n python-exo-devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/exo-0.3

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exo.spec,v $
Revision 1.41.4.1  2011/12/13 11:19:20  hawk
- glib >= 2.29.x fixes

Revision 1.41  2010/11/11 20:52:04  baggins
- rel 5
- dirs cleanup

Revision 1.40  2010/07/09 11:15:03  arekm
- release 4

Revision 1.39  2010/01/30 20:53:00  sparky
- BR: docbook-dtd412-xml

Revision 1.38  2010/01/30 00:47:26  megabajt
- %{__gtkdocize}
- release 3

Revision 1.37  2009/06/17 14:07:38  hawk
- release 2

Revision 1.36  2009/04/27 07:25:51  adamg
- updated to 0.3.101

Revision 1.35  2009/03/14 00:14:19  hawk
- release 2

Revision 1.34  2009/02/28 10:22:05  charles
- added apidocs bcond; cosmetics

Revision 1.33  2009/02/27 18:03:22  megabajt
- spec file renamed to exo.spec

Revision 1.32  2009/02/27 17:21:15  megabajt
- updated to 0.3.100
- removed obsolete -locale-names.patch and -teardown-crypto-on-eject.patch

Revision 1.31  2008/11/09 16:14:08  megabajt
- release 5

Revision 1.30  2008/10/27 23:06:20  blues
- TODO added

Revision 1.29  2008/10/27 22:57:21  blues
- rel.4

Revision 1.28  2008/10/23 23:00:08  baggins
- rel 3
- encrypted volumes support

Revision 1.27  2008/10/06 19:10:57  megabajt
- release 2

Revision 1.26  2007/12/05 19:11:40  megabajt
- fixed locale names (locale-names.patch)

Revision 1.25  2007-12-05 18:57:19  megabajt
- updated to 0.3.4

Revision 1.24  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.22  2007/01/21 19:32:21  megabajt
- updated to 0.3.2 (Xfce 4.4.0)
- added apidocs subpackage

Revision 1.21  2007/01/04 01:17:46  arekm
- rel .2

Revision 1.20  2006/11/06 14:16:00  megabajt
- up to 0.3.1.12rc2 (Xfce 4.4RC2)
- updated deps

Revision 1.19  2006/09/04 14:31:08  megabajt
- updated to 0.3.1.10rc1

Revision 1.18  2006/07/24 19:18:33  freetz
- BR: perl-URI, rel.3

Revision 1.17  2006/07/24 18:24:46  freetz
- rel.2, removed LDFLAGS

Revision 1.16  2006/07/16 16:47:12  freetz
- merged from DEVEL

Revision 1.15.2.3  2006/07/16 16:46:28  freetz
- 0.3.1.8beta2, updated: deps, file list, BR/R, --as-needed support added,
  update icon cache

Revision 1.15.2.2  2006/05/17 03:09:40  charles
- regenerate ac/am/lt; updated BRs

Revision 1.15.2.1  2006/05/03 16:56:47  freetz
- 0.3.1.6beta1, added xfce-preferred-applications subpkg, fixed/updated BR

Revision 1.15  2006/03/18 15:55:56  megabajt
- modular xorg deps
- added using py_postclean macro

Revision 1.14  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.13  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.12  2005/03/20 11:59:59  qboosh
- it's pure C, builds fine without libstdc++-devel

Revision 1.11  2005/03/20 11:59:18  qboosh
- -devel R: libxfcegui4-devel

Revision 1.10  2005/03/20 08:44:45  charles
- BR libstdc++-devel, python

Revision 1.9  2005/03/15 19:44:31  qboosh
- fixed files, separated python-exo binding (and its -devel)
- added versions to some BRs
- don't run autoconf alone when am is used (just asking for trouble)

Revision 1.8  2005/03/14 17:18:50  koorek
- fixed language stuff

Revision 1.7  2005/03/14 11:08:23  ankry
- BR: libxfcegui4-devel >= 4.2.0

Revision 1.6  2005/03/14 05:15:51  koorek
- updated to 0.3.0
- removed BR dbus (not needed anymore)

Revision 1.5  2004/12/22 21:52:52  charles
- BR autoconf instead of gcc-c++

Revision 1.4  2004/12/21 01:08:03  adamg
- release 1

Revision 1.3  2004/12/20 02:16:31  zbyniu
- BR: gcc-c++, gettext-devel, pkgconfig

Revision 1.2  2004/12/13 13:24:38  adamg
- added missing Revision/Date CVS Tags
- use %%find_lang macro

Revision 1.1  2004/12/13 13:17:24  adamg
- new, from Charles <charles (at) os.pl>
